org.fourthline.cling.model.meta

## Class DeviceDetails

- java.lang.Object
- - org.fourthline.cling.model.meta.DeviceDetails

- All Implemented Interfaces:
    Validatable

      public class DeviceDetails
      extends Object
      implements Validatable

  Encapsulates all optional metadata about a device.
  Author:
    Christian Bauer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeviceDetails(String friendlyName)`
    `DeviceDetails(String friendlyName, DLNADoc[] dlnaDocs, DLNACaps dlnaCaps)`
    `DeviceDetails(String friendlyName, ManufacturerDetails manufacturerDetails)`
    `DeviceDetails(String friendlyName, ManufacturerDetails manufacturerDetails, DLNADoc[] dlnaDocs, DLNACaps dlnaCaps)`
    `DeviceDetails(String friendlyName, ManufacturerDetails manufacturerDetails, ModelDetails modelDetails)`
    `DeviceDetails(String friendlyName, ManufacturerDetails manufacturerDetails, ModelDetails modelDetails, DLNADoc[] dlnaDocs, DLNACaps dlnaCaps)`
    `DeviceDetails(String friendlyName, ManufacturerDetails manufacturerDetails, ModelDetails modelDetails, DLNADoc[] dlnaDocs, DLNACaps dlnaCaps, DLNACaps secProductCaps)`
    `DeviceDetails(String friendlyName, ManufacturerDetails manufacturerDetails, ModelDetails modelDetails, String serialNumber, String upc)`
    `DeviceDetails(String friendlyName, ManufacturerDetails manufacturerDetails, ModelDetails modelDetails, String serialNumber, String upc, DLNADoc[] dlnaDocs, DLNACaps dlnaCaps)`
    `DeviceDetails(String friendlyName, ManufacturerDetails manufacturerDetails, ModelDetails modelDetails, String serialNumber, String upc, String presentationURI)`
    `DeviceDetails(String friendlyName, ManufacturerDetails manufacturerDetails, ModelDetails modelDetails, String serialNumber, String upc, String presentationURI, DLNADoc[] dlnaDocs, DLNACaps dlnaCaps)`
    `DeviceDetails(String friendlyName, ManufacturerDetails manufacturerDetails, ModelDetails modelDetails, String serialNumber, String upc, URI presentationURI)`
    `DeviceDetails(String friendlyName, ManufacturerDetails manufacturerDetails, ModelDetails modelDetails, String serialNumber, String upc, URI presentationURI, DLNADoc[] dlnaDocs, DLNACaps dlnaCaps)`
    `DeviceDetails(String friendlyName, ManufacturerDetails manufacturerDetails, ModelDetails modelDetails, URI presentationURI)`
    `DeviceDetails(String friendlyName, ManufacturerDetails manufacturerDetails, ModelDetails modelDetails, URI presentationURI, DLNADoc[] dlnaDocs, DLNACaps dlnaCaps)`
    `DeviceDetails(String friendlyName, URI presentationURI)`
    `DeviceDetails(String friendlyName, URI presentationURI, DLNADoc[] dlnaDocs, DLNACaps dlnaCaps)`
    `DeviceDetails(URL baseURL, String friendlyName, ManufacturerDetails manufacturerDetails, ModelDetails modelDetails, String serialNumber, String upc, URI presentationURI)`
    `DeviceDetails(URL baseURL, String friendlyName, ManufacturerDetails manufacturerDetails, ModelDetails modelDetails, String serialNumber, String upc, URI presentationURI, DLNADoc[] dlnaDocs, DLNACaps dlnaCaps)`
    `DeviceDetails(URL baseURL, String friendlyName, ManufacturerDetails manufacturerDetails, ModelDetails modelDetails, String serialNumber, String upc, URI presentationURI, DLNADoc[] dlnaDocs, DLNACaps dlnaCaps, DLNACaps secProductCaps)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `URL` | `getBaseURL()`
    `DLNACaps` | `getDlnaCaps()`
    `DLNADoc[]` | `getDlnaDocs()`
    `String` | `getFriendlyName()`
    `ManufacturerDetails` | `getManufacturerDetails()`
    `ModelDetails` | `getModelDetails()`
    `URI` | `getPresentationURI()`
    `DLNACaps` | `getSecProductCaps()`
    `String` | `getSerialNumber()`
    `String` | `getUpc()`
    `List<ValidationError>` | `validate()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeviceDetails

          public DeviceDetails(String friendlyName)

    - #### DeviceDetails

          public DeviceDetails(String friendlyName,
                               DLNADoc[] dlnaDocs,
                               DLNACaps dlnaCaps)

    - #### DeviceDetails

          public DeviceDetails(String friendlyName,
                               ManufacturerDetails manufacturerDetails)

    - #### DeviceDetails

          public DeviceDetails(String friendlyName,
                               ManufacturerDetails manufacturerDetails,
                               DLNADoc[] dlnaDocs,
                               DLNACaps dlnaCaps)

    - #### DeviceDetails

          public DeviceDetails(String friendlyName,
                               ManufacturerDetails manufacturerDetails,
                               ModelDetails modelDetails)

    - #### DeviceDetails

          public DeviceDetails(String friendlyName,
                               ManufacturerDetails manufacturerDetails,
                               ModelDetails modelDetails,
                               DLNADoc[] dlnaDocs,
                               DLNACaps dlnaCaps)

    - #### DeviceDetails

          public DeviceDetails(String friendlyName,
                               ManufacturerDetails manufacturerDetails,
                               ModelDetails modelDetails,
                               DLNADoc[] dlnaDocs,
                               DLNACaps dlnaCaps,
                               DLNACaps secProductCaps)

    - #### DeviceDetails

          public DeviceDetails(String friendlyName,
                               ManufacturerDetails manufacturerDetails,
                               ModelDetails modelDetails,
                               String serialNumber,
                               String upc)

    - #### DeviceDetails

          public DeviceDetails(String friendlyName,
                               ManufacturerDetails manufacturerDetails,
                               ModelDetails modelDetails,
                               String serialNumber,
                               String upc,
                               DLNADoc[] dlnaDocs,
                               DLNACaps dlnaCaps)

    - #### DeviceDetails

          public DeviceDetails(String friendlyName,
                               URI presentationURI)

    - #### DeviceDetails

          public DeviceDetails(String friendlyName,
                               URI presentationURI,
                               DLNADoc[] dlnaDocs,
                               DLNACaps dlnaCaps)

    - #### DeviceDetails

          public DeviceDetails(String friendlyName,
                               ManufacturerDetails manufacturerDetails,
                               ModelDetails modelDetails,
                               URI presentationURI)

    - #### DeviceDetails

          public DeviceDetails(String friendlyName,
                               ManufacturerDetails manufacturerDetails,
                               ModelDetails modelDetails,
                               URI presentationURI,
                               DLNADoc[] dlnaDocs,
                               DLNACaps dlnaCaps)

    - #### DeviceDetails

          public DeviceDetails(String friendlyName,
                               ManufacturerDetails manufacturerDetails,
                               ModelDetails modelDetails,
                               String serialNumber,
                               String upc,
                               URI presentationURI)

    - #### DeviceDetails

          public DeviceDetails(String friendlyName,
                               ManufacturerDetails manufacturerDetails,
                               ModelDetails modelDetails,
                               String serialNumber,
                               String upc,
                               URI presentationURI,
                               DLNADoc[] dlnaDocs,
                               DLNACaps dlnaCaps)

    - #### DeviceDetails

          public DeviceDetails(String friendlyName,
                               ManufacturerDetails manufacturerDetails,
                               ModelDetails modelDetails,
                               String serialNumber,
                               String upc,
                               String presentationURI)
                        throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### DeviceDetails

          public DeviceDetails(String friendlyName,
                               ManufacturerDetails manufacturerDetails,
                               ModelDetails modelDetails,
                               String serialNumber,
                               String upc,
                               String presentationURI,
                               DLNADoc[] dlnaDocs,
                               DLNACaps dlnaCaps)
                        throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### DeviceDetails

          public DeviceDetails(URL baseURL,
                               String friendlyName,
                               ManufacturerDetails manufacturerDetails,
                               ModelDetails modelDetails,
                               String serialNumber,
                               String upc,
                               URI presentationURI)

    - #### DeviceDetails

          public DeviceDetails(URL baseURL,
                               String friendlyName,
                               ManufacturerDetails manufacturerDetails,
                               ModelDetails modelDetails,
                               String serialNumber,
                               String upc,
                               URI presentationURI,
                               DLNADoc[] dlnaDocs,
                               DLNACaps dlnaCaps)

    - #### DeviceDetails

          public DeviceDetails(URL baseURL,
                               String friendlyName,
                               ManufacturerDetails manufacturerDetails,
                               ModelDetails modelDetails,
                               String serialNumber,
                               String upc,
                               URI presentationURI,
                               DLNADoc[] dlnaDocs,
                               DLNACaps dlnaCaps,
                               DLNACaps secProductCaps)

  - ### Method Detail

    - #### getBaseURL

          public URL getBaseURL()

    - #### getFriendlyName

          public String getFriendlyName()

    - #### getManufacturerDetails

          public ManufacturerDetails getManufacturerDetails()

    - #### getModelDetails

          public ModelDetails getModelDetails()

    - #### getSerialNumber

          public String getSerialNumber()

    - #### getUpc

          public String getUpc()

    - #### getPresentationURI

          public URI getPresentationURI()

    - #### getDlnaDocs

          public DLNADoc[] getDlnaDocs()

    - #### getDlnaCaps

          public DLNACaps getDlnaCaps()

    - #### getSecProductCaps

          public DLNACaps getSecProductCaps()

    - #### validate

          public List<ValidationError> validate()

      Specified by:
        `validate` in interface `Validatable`
      Returns:
        An empty `List` if all rules validated properly, otherwise, the detected errors.

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.